anybody knows anytihng about installing device drivers for linux

anybody knows anytihng about installing device drivers for linux


[ Follow Ups ] [ Post Followups ] [ FAQ ]
[ Back to Messages ]

Posted by Jonathon Seah on December 12, 2002 at 22:38:25:

I was wondering whether anybody knows anytihng about installing
device drivers for linux? I'm trying to install a driver for the pci8255
by Decision Industrial Interface. The object(module) file they provided was
for version 2.2.14-3.0 whereas the one in uni is version 2.2.20-idepci

The error I get is:
*Warning: kernel-module version mismatch
* dpci8255.o was compiled for kernel version 2.2.14-3.0
* while this kernel is version 2.2.20-idepci
*Warning: loading dpci8255.o will taint the kernel: forced load

I've been reading some books and searched online and some were telling me
to compile using this command:
gcc -D__KERNEL__ -DMODULE -O -I/usr/include/ -I/usr/include/linux/version.h -c
dpci8255.c


Follow Ups:


Post a Followup

Please note:
  • Messages must be on the topic of this forum!
  • No posting of requests for cracks, codes, serials, or warez!
  • No posting of illegal software or links to such sites!
  • No use of profanity or inappropriate or offensive language!
  • Spamming is not allowed!
  • We track the IP addresses of forum abusers!
  • Abuse of this forum will be reported to your ISP!
Name:
E-Mail (optional):
please note: your e-mail address will be visible in your message.

Subject:

Comments:

Optional Link URL:
Link Title:
Optional Image URL: